Bug 981799 - [abrt] claws-mail-3.9.2-1.fc19: spt_copyenv: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
[abrt] claws-mail-3.9.2-1.fc19: spt_copyenv: Process /usr/bin/claws-mail was ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libbsd (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eric Smith
Fedora Extras Quality Assurance
abrt_hash:f22986c2091515392fa58678871...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-05 16:43 EDT by Ralf Ertzinger
Modified: 2013-08-01 16:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: libbsd-0.6.0-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 23:43:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.84 KB, text/plain)
2013-07-05 16:43 EDT, Ralf Ertzinger
no flags Details
File: cgroup (139 bytes, text/plain)
2013-07-05 16:43 EDT, Ralf Ertzinger
no flags Details
File: core_backtrace (3.03 KB, text/plain)
2013-07-05 16:43 EDT, Ralf Ertzinger
no flags Details
File: dso_list (19.82 KB, text/plain)
2013-07-05 16:43 EDT, Ralf Ertzinger
no flags Details
File: environ (1.66 KB, text/plain)
2013-07-05 16:43 EDT, Ralf Ertzinger
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-05 16:43 EDT, Ralf Ertzinger
no flags Details
File: maps (99.99 KB, text/plain)
2013-07-05 16:43 EDT, Ralf Ertzinger
no flags Details
File: open_fds (1.50 KB, text/plain)
2013-07-05 16:43 EDT, Ralf Ertzinger
no flags Details
File: proc_pid_status (925 bytes, text/plain)
2013-07-05 16:43 EDT, Ralf Ertzinger
no flags Details
File: var_log_messages (317 bytes, text/plain)
2013-07-05 16:43 EDT, Ralf Ertzinger
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 66679 None None None Never

  None (edit)
Description Ralf Ertzinger 2013-07-05 16:43:24 EDT
Description of problem:
Program crashes while composing a response to a mail, seemingly while trying
to save a draft to the IMAP server.

Version-Release number of selected component:
claws-mail-3.9.2-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        claws-mail
crash_function: spt_copyenv
executable:     /usr/bin/claws-mail
kernel:         3.9.8-300.fc19.x86_64
runlevel:       N 5
uid:            500
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 spt_copyenv at setproctitle.c:111
 #1 spt_init at setproctitle.c:201
 #2 call_init at dl-init.c:82
 #3 _dl_init at dl-init.c:131
 #4 dl_open_worker at dl-open.c:566
 #5 _dl_catch_error at dl-error.c:177
 #6 _dl_open at dl-open.c:656
 #7 do_dlopen at dl-libc.c:87
 #8 _dl_catch_error at dl-error.c:177
 #9 dlerror_run at dl-libc.c:46
Comment 1 Ralf Ertzinger 2013-07-05 16:43:28 EDT
Created attachment 769384 [details]
File: backtrace
Comment 2 Ralf Ertzinger 2013-07-05 16:43:31 EDT
Created attachment 769385 [details]
File: cgroup
Comment 3 Ralf Ertzinger 2013-07-05 16:43:34 EDT
Created attachment 769386 [details]
File: core_backtrace
Comment 4 Ralf Ertzinger 2013-07-05 16:43:37 EDT
Created attachment 769387 [details]
File: dso_list
Comment 5 Ralf Ertzinger 2013-07-05 16:43:40 EDT
Created attachment 769388 [details]
File: environ
Comment 6 Ralf Ertzinger 2013-07-05 16:43:43 EDT
Created attachment 769389 [details]
File: limits
Comment 7 Ralf Ertzinger 2013-07-05 16:43:46 EDT
Created attachment 769390 [details]
File: maps
Comment 8 Ralf Ertzinger 2013-07-05 16:43:49 EDT
Created attachment 769391 [details]
File: open_fds
Comment 9 Ralf Ertzinger 2013-07-05 16:43:52 EDT
Created attachment 769392 [details]
File: proc_pid_status
Comment 10 Ralf Ertzinger 2013-07-05 16:43:55 EDT
Created attachment 769393 [details]
File: var_log_messages
Comment 11 Michael Schwendt 2013-07-05 17:19:47 EDT
The backtrace is completely elsewhere.

#1  spt_init (argc=1, argv=0x7ffff02b82c8, envp=<optimized out>) at setproctitle.c:201

libbsd?

#6  0x00007f148523221b in _dl_open (file=0x7ffff02b3810 "libnss_wins.so.2", mode=-2147483647, caller_dlopen=0x7f147e83214b <__GI___nss_lookup_function+651>, nsid=-2, argc=1, argv=<optimized out>, env=0x20c2550) at dl-open.c:656

Samba?
Comment 12 Ralf Ertzinger 2013-07-05 17:29:26 EDT
My /etc/nsswitch.conf contains:

hosts:      files mdns4_minimal [NOTFOUND=return] dns wins


which accounts for libnss_wins.so.2, which in turn pulls in libbsd.

And I can confirm that removing "wins" from that line makes claws-mail
not crash.

This worked just fine under F18. Where should this go, then?
Comment 13 Eric Smith 2013-07-06 13:27:01 EDT
What version of libbsd is installed? There was a problem in setproctitle in libbsd-0.5.1, but it should be fixed in 0.5.2.
Comment 14 Ralf Ertzinger 2013-07-07 08:10:49 EDT
libbsd-0.5.2-1.fc19.x86_64
Comment 15 Fedora Update System 2013-07-14 14:56:59 EDT
libbsd-0.6.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libbsd-0.6.0-1.fc19
Comment 16 Fedora Update System 2013-07-14 15:12:26 EDT
libbsd-0.6.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/libbsd-0.6.0-1.el6
Comment 17 Fedora Update System 2013-07-14 15:20:39 EDT
libbsd-0.6.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/libbsd-0.6.0-1.el5
Comment 18 Fedora Update System 2013-07-15 21:05:50 EDT
Package libbsd-0.6.0-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing libbsd-0.6.0-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-10849/libbsd-0.6.0-1.el5
then log in and leave karma (feedback).
Comment 19 Fedora Update System 2013-07-23 23:43:50 EDT
libbsd-0.6.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-08-01 16:35:37 EDT
libbsd-0.6.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-08-01 16:37:44 EDT
libbsd-0.6.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.